
TYPO3.Flow - Bug # 31931

Status: Resolved Priority: Should have
Author: Christian Müller Category: MVC
Created: 2011-11-18 Assigned To: Christian Müller
Updated: 2012-01-13 Due date:
PHP Version: 5.3
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: AuthenticationController is not working anymore
Description

The AuthenticationController has not been adapted to the recent changes in the FlashMessage API. Furthermore, users reported that
the redirect to the previous request (on error) did not work. It work though after removing the second condition in the following
if-statement in the PhpSession->start() method:

if ($this->started === FALSE && isset($_COOKIE[session_name()])) {

(remove the isset(...))

Related issues:
related to TYPO3.Flow - Bug # 31905: getInterceptedRequest is NULL but ACL ma... Resolved 2011-11-18

Associated revisions
Revision 4883a095 - 2011-11-24 20:23 - Christian Müller

[BUGFIX] Adjust AuthenticationController to FlashMessages

Change-Id: I2015f174871102befccd45e52a1276b20907eb61
Fixes: #31931
Releases: 1.0, 1.1

Revision d381413f - 2011-12-07 16:36 - Christian Müller

[BUGFIX] Adjust AuthenticationController to FlashMessages

Change-Id: Ie1475e8bae60ebc456c7d420b94899faac8db5f5
Fixes: #31931
Releases: 1.0, 1.1

History
#1 - 2011-11-18 16:25 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change I2015f174871102befccd45e52a1276b20907eb61 has been pushed to the review server.
It is available at http://review.typo3.org/6741

#2 - 2011-11-18 16:29 - Robert Lemke
http://review.typo3.org/6741


- Subject changed from AuthenticationController must be adapted to FlashMessages to AuthenticationController is not working anymore
- Status changed from Under Review to Accepted
- PHP Version set to 5.3

#3 - 2011-11-22 12:26 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#4 - 2011-11-22 12:48 - Karsten Dambekalns
- Target version changed from 1.0.1 to 1.0.2

#5 - 2011-11-24 20:23 - Mr. Jenkins

Patch set 2 of change I2015f174871102befccd45e52a1276b20907eb61 has been pushed to the review server.
It is available at http://review.typo3.org/6741

#6 - 2011-11-24 22:36 - Christian Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4883a0956ae15ef7cc252009c2bad885c89dffda.

#7 - 2011-12-07 16:36 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/7139

#8 - 2011-12-22 08:51 - Karsten Dambekalns
- Target version changed from 1.0.2 to 1.0.3

#9 - 2012-01-13 17:02 - Karsten Dambekalns
- Status changed from Under Review to Resolved
